lirc-lsremotes(1)

NAME

lirc-lsremotes - parse lirc configuration files.

SYNOPSIS

lirc-lsremotes [options] <directory>

lirc-lsremotes [options] <file>

DESCRIPTION
lirc-lsremotes can parse lirc remote configuration files (i. e., lircd.conf) and display a condensed index line, the complete data and/or diagnostics.

When given a directory (first form) it expects this to contain a number of vendor directories, each of which containing one or more configuration files.

In the second form lirc-lsremotes displays remote configurations for a given config file.

OPTIONS

-d, --dump
    Dump the complete configuration data for listed configurations.

-s, --silent
    Only print diagnostics.

-v --version
    Print version info

-h, --help
    Print help message.

EXAMPLES
Print a status line and possible diagnostics for a file:

    $ lirc-lsremotes  remotes/hitachi/RM-466E.lircd.conf
    lirc-lsremotes: Warning RM-466E: you should specify a valid gap value
    hitachi;RM-466E.lircd.conf;no_lircmd;no_photo;RM-466E;timing;no_raw

List a status line for all remotes under remotes, saving diagnostics into a file:

    $ lirc-lsremotes  remotes > remotes.list 2>warnings.txt

SEE ALSO
http://sourceforge.net/projects/lirc-remotes